> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/instant-issuance/instant-issuance-es/implementar-la-emision-instantanea/seguimiento-de-la-produccion.md).

# Seguimiento de la producción

Los datos de seguimiento de producción se devuelven en `detalles` para la `PRODUCIR` operación.

### Estados de emisión de tarjetas físicas <a href="#physical-card-issuance-statuses" id="physical-card-issuance-statuses"></a>

| Código de estado      | Descripción                                                                  |
| --------------------- | ---------------------------------------------------------------------------- |
| `CARD_PROD_REQUESTED` | La personalización de la tarjeta se ha solicitado a través de las API de D1. |
| `CARD_PROD_READY`     | Los datos se han procesado correctamente.                                    |
| `CARD_PROD_DONE`      | La tarjeta se personalizó correctamente.                                     |
| `DATA_EXCEPTION`      | Se produjo un error durante el procesamiento de datos.                       |
| `CARD_PROD_EXCEPTION` | La personalización de la tarjeta encontró un problema.                       |
| `CARD_PROD_CANCELED`  | La personalización de la tarjeta fue cancelada por el emisor.                |

### `detalles` campos

<table><thead><tr><th>Campo</th><th width="151.99993896484375">Descripción</th><th>Disponibilidad</th></tr></thead><tbody><tr><td><code>estado</code></td><td>Estado de emisión física.</td><td>Siempre</td></tr><tr><td><code>motivo</code></td><td>Detalles adicionales cuando falla el procesamiento de datos o la personalización de la tarjeta.</td><td>Condicional (en excepciones)</td></tr></tbody></table>

### Ejemplos

{% tabs %}
{% tab title="CARD\_PROD\_REQUESTED" %}

```json
{
  "operations": [
    {
      "operationId": "01c5a05e-e197-11ec-8fea-0242ac120002",
      "operation": "PRODUCE",
      "status": "PENDING",
      "startTime": "2025-01-17T06:28:02.492Z",
      "cardId": "271b-6e47-8ec3-7f3f",
      "details": {
        "status": "CARD_PROD_REQUESTED"
      }
    }
  ]
}
```

{% endtab %}

{% tab title="CARD\_PROD\_READY" %}

```json
{
  "operations": [
    {
      "operationId": "01c5a05e-e197-11ec-8fea-0242ac120002",
      "operation": "PRODUCE",
      "status": "PENDING",
      "startTime": "2025-01-17T06:28:02.492Z",
      "cardId": "271b-6e47-8ec3-7f3f",
      "details": {
        "status": "CARD_PROD_READY"
      }
    }
  ]
}
```

{% endtab %}

{% tab title="DATA\_EXCEPTION" %}

```json
{
  "operations": [
    {
      "operationId": "01c5a05e-e197-11ec-8fea-0242ac120002",
      "operation": "PRODUCE",
      "status": "FAILED",
      "startTime": "2025-01-17T06:28:02.492Z",
      "endTime": "2025-01-21T09:28:12.492Z",
      "cardId": "271b-6e47-8ec3-7f3f",
      "details": {
        "status": "DATA_EXCEPTION",
        "reason": "MISSING_SATELLITEUID"
      }
    }
  ]
}
```

{% endtab %}

{% tab title="CARD\_PROD\_DONE" %}

```json
{
  "operations": [
    {
      "operationId": "01c5a05e-e197-11ec-8fea-0242ac120002",
      "operation": "PRODUCE",
      "status": "SUCCESSFUL",
      "startTime": "2025-01-17T06:28:02.492Z",
      "endTime": "2025-01-21T09:28:12.492Z",
      "cardId": "271b-6e47-8ec3-7f3f",
      "details": {
        "status": "CARD_PROD_DONE"
      }
    }
  ]
}
```

{% endtab %}

{% tab title="CARD\_PROD\_EXCEPTION" %}

```json
{
  "operations": [
    {
      "operationId": "01c5a05e-e197-11ec-8fea-0242ac120002",
      "operation": "PRODUCE",
      "status": "FAILED",
      "startTime": "2025-01-17T06:28:02.492Z",
      "endTime": "2025-01-21T09:28:12.492Z",
      "cardId": "271b-6e47-8ec3-7f3f",
      "details": {
        "status": "CARD_PROD_EXCEPTION",
        "reason": "CB_TIME"
        }
      }
  ]
}
```

{% endtab %}

{% tab title="CARD\_PROD\_CANCELED" %}

```json
{
  "operations": [
    {
      "operationId": "01c5a05e-e197-11ec-8fea-0242ac120002",
      "operation": "PRODUCE",
      "status": "FAILED",
      "startTime": "2025-01-17T06:28:02.492Z",
      "endTime": "2025-01-21T09:28:12.492Z",
      "cardId": "271b-6e47-8ec3-7f3f",
      "details": {
        "status": "CARD_PROD_CANCELED"
        }
      }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/instant-issuance/instant-issuance-es/implementar-la-emision-instantanea/seguimiento-de-la-produccion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
